--- src/parameters.F90.orig	2016-02-13 01:01:54.000000000 +0100
+++ src/parameters.F90	2016-02-13 01:01:54.000000000 +0100
@@ -1387,7 +1387,7 @@
     dis_spheres_first_wann = 1
     call param_get_keyword('dis_spheres_first_wann',found,i_value=dis_spheres_first_wann)
     if ( dis_spheres_first_wann < 1 )  call io_error('Error: dis_spheres_first_wann must be greater than 0')
-    if ( dis_spheres_first_wann > num_bands-num_wann+1 )  &
+    if ( dis_spheres_first_wann > num_bands-num_wann+1 .and. num_bands > 0 )  &
          call io_error('Error: dis_spheres_first_wann is larger than num_bands-num_wann+1')
     dis_spheres_num = 0
     call param_get_keyword('dis_spheres_num',found,i_value=dis_spheres_num)
@@ -2744,7 +2744,8 @@
           write(stdout,'(1x,a46,10x,f8.3,13x,a1)') '|  Minimum energy range for DOS plot         :',boltz_dos_energy_min,'|'
           write(stdout,'(1x,a46,10x,f8.3,13x,a1)') '|  Maximum energy range for DOS plot         :',boltz_dos_energy_max,'|'
           write(stdout,'(1x,a46,10x,f8.3,13x,a1)') '|  Energy step for DOS plot                  :',boltz_dos_energy_step,'|'
-          if(boltz_dos_adpt_smr.eqv.adpt_smr .and. boltz_dos_adpt_smr_fac==adpt_smr_fac .and. boltz_dos_adpt_smr_max==adpt_smr_max &
+          if(boltz_dos_adpt_smr.eqv.adpt_smr .and. boltz_dos_adpt_smr_fac==adpt_smr_fac &
+               .and. boltz_dos_adpt_smr_max==adpt_smr_max &
                .and. boltz_dos_smr_fixed_en_width==smr_fixed_en_width .and. smr_index==boltz_dos_smr_index) then
              write(stdout,'(1x,a78)') '|  Using global smearing parameters                                          |'
           else
@@ -3004,7 +3005,18 @@
        deallocate( dos_project, stat=ierr  )
        if (ierr/=0) call io_error('Error in deallocating dos_project in param_dealloc')
     endif
-
+    if( allocated( fermi_energy_list ) ) then
+       deallocate( fermi_energy_list, stat=ierr  )
+       if (ierr/=0) call io_error('Error in deallocating fermi_energy_list in param_dealloc')
+    endif
+    if( allocated( kubo_freq_list ) ) then
+       deallocate( kubo_freq_list, stat=ierr  )
+       if (ierr/=0) call io_error('Error in deallocating kubo_freq_list in param_dealloc')
+    endif
+    if( allocated( dis_spheres ) ) then
+       deallocate( dis_spheres, stat=ierr  )
+       if (ierr/=0) call io_error('Error in deallocating dis_spheres in param_dealloc')
+    endif
 
     return
 
